
From: Pavel Machek <pavel@ucw.cz>

This fixes few more types, mostly switching u32s into pm_message_ts.  It
does not actually change any code.  With this plus few small patches, I can
actually switch pm_message_t to struct and still have it compile/work on my
system.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/power/devices.txt |    2 +-
 25-akpm/drivers/char/agp/via-agp.c      |    6 +++---
 25-akpm/drivers/i2c/i2c-core.c          |    2 +-
 25-akpm/drivers/ide/ide-disk.c          |    2 +-
 25-akpm/drivers/ieee1394/ohci1394.c     |    2 +-
 25-akpm/drivers/input/serio/i8042.c     |    2 +-
 25-akpm/drivers/mmc/mmc_block.c         |    2 +-
 25-akpm/drivers/mmc/mmc_sysfs.c         |    2 +-
 25-akpm/drivers/net/8139too.c           |    2 +-
 25-akpm/drivers/net/amd8111e.c          |    2 +-
 25-akpm/drivers/net/b44.c               |    2 +-
 25-akpm/drivers/net/eepro100.c          |    6 +++---
 25-akpm/drivers/net/irda/donauboe.c     |    2 +-
 25-akpm/drivers/net/tg3.c               |    2 +-
 25-akpm/drivers/net/tulip/tulip_core.c  |    2 +-
 25-akpm/drivers/net/via-rhine.c         |    2 +-
 25-akpm/drivers/pci/pci.c               |    2 +-
 25-akpm/drivers/pcmcia/cs.c             |    2 +-
 25-akpm/drivers/pcmcia/i82092.c         |    2 +-
 25-akpm/drivers/pcmcia/i82365.c         |    2 +-
 25-akpm/drivers/pcmcia/tcic.c           |    2 +-
 25-akpm/drivers/pcmcia/yenta_socket.c   |    2 +-
 25-akpm/drivers/serial/8250.c           |    2 +-
 25-akpm/drivers/serial/8250_pci.c       |    2 +-
 25-akpm/drivers/usb/core/hcd.h          |    2 +-
 25-akpm/drivers/usb/core/hub.c          |    4 ++--
 25-akpm/drivers/usb/core/usb.c          |    2 +-
 25-akpm/drivers/usb/input/hid-core.c    |    4 ++--
 25-akpm/drivers/video/aty/radeon_pm.c   |    8 ++++----
 25-akpm/drivers/video/aty/radeonfb.h    |    2 +-
 25-akpm/include/linux/device.h          |    2 +-
 25-akpm/include/linux/mmc/card.h        |    2 +-
 25-akpm/include/linux/usb.h             |    4 ++--
 25-akpm/include/pcmcia/ss.h             |    2 +-
 34 files changed, 44 insertions(+), 44 deletions(-)

diff -puN Documentation/power/devices.txt~driver-model-more-pm_message_t-conversion Documentation/power/devices.txt
--- 25/Documentation/power/devices.txt~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:06.999878024 -0800
+++ 25-akpm/Documentation/power/devices.txt	2005-01-23 01:30:07.065867992 -0800
@@ -15,7 +15,7 @@ The methods to suspend and resume device
 
 struct bus_type {
        ...
-       int             (*suspend)(struct device * dev, u32 state);
+       int             (*suspend)(struct device * dev, pm_message_t state);
        int             (*resume)(struct device * dev);
 };
 
diff -puN drivers/char/agp/via-agp.c~driver-model-more-pm_message_t-conversion drivers/char/agp/via-agp.c
--- 25/drivers/char/agp/via-agp.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.000877872 -0800
+++ 25-akpm/drivers/char/agp/via-agp.c	2005-01-23 01:30:07.065867992 -0800
@@ -440,10 +440,10 @@ static void __devexit agp_via_remove(str
 
 #ifdef CONFIG_PM
 
-static int agp_via_suspend(struct pci_dev *pdev, u32 state)
+static int agp_via_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	pci_save_state (pdev);
-	pci_set_power_state (pdev, 3);
+	pci_set_power_state (pdev, PCI_D3hot);
 
 	return 0;
 }
@@ -452,7 +452,7 @@ static int agp_via_resume(struct pci_dev
 {
 	struct agp_bridge_data *bridge = pci_get_drvdata(pdev);
 
-	pci_set_power_state (pdev, 0);
+	pci_set_power_state (pdev, PCI_D0);
 	pci_restore_state(pdev);
 
 	if (bridge->driver == &via_agp3_driver)
diff -puN drivers/i2c/i2c-core.c~driver-model-more-pm_message_t-conversion drivers/i2c/i2c-core.c
--- 25/drivers/i2c/i2c-core.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.002877568 -0800
+++ 25-akpm/drivers/i2c/i2c-core.c	2005-01-23 01:30:07.066867840 -0800
@@ -530,7 +530,7 @@ static int i2c_device_match(struct devic
 	return 1;
 }
 
-static int i2c_bus_suspend(struct device * dev, u32 state)
+static int i2c_bus_suspend(struct device * dev, pm_message_t state)
 {
 	int rc = 0;
 
diff -puN drivers/ide/ide-disk.c~driver-model-more-pm_message_t-conversion drivers/ide/ide-disk.c
--- 25/drivers/ide/ide-disk.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.003877416 -0800
+++ 25-akpm/drivers/ide/ide-disk.c	2005-01-23 01:30:07.068867536 -0800
@@ -1157,7 +1157,7 @@ static void ide_device_shutdown(struct d
 	}
 
 	printk("Shutdown: %s\n", drive->name);
-	dev->bus->suspend(dev, PM_SUSPEND_STANDBY);
+	dev->bus->suspend(dev, PMSG_SUSPEND);
 }
 
 /*
diff -puN drivers/ieee1394/ohci1394.c~driver-model-more-pm_message_t-conversion drivers/ieee1394/ohci1394.c
--- 25/drivers/ieee1394/ohci1394.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.005877112 -0800
+++ 25-akpm/drivers/ieee1394/ohci1394.c	2005-01-23 01:30:07.070867232 -0800
@@ -3510,7 +3510,7 @@ static int ohci1394_pci_resume (struct p
 }
 
 
-static int ohci1394_pci_suspend (struct pci_dev *pdev, u32 state)
+static int ohci1394_pci_suspend (struct pci_dev *pdev, pm_message_t state)
 {
 #ifdef CONFIG_PMAC_PBOOK
 	{
diff -puN drivers/input/serio/i8042.c~driver-model-more-pm_message_t-conversion drivers/input/serio/i8042.c
--- 25/drivers/input/serio/i8042.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.007876808 -0800
+++ 25-akpm/drivers/input/serio/i8042.c	2005-01-23 01:30:07.071867080 -0800
@@ -860,7 +860,7 @@ static long i8042_panic_blink(long count
  * Here we try to restore the original BIOS settings
  */
 
-static int i8042_suspend(struct device *dev, u32 state, u32 level)
+static int i8042_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	if (level == SUSPEND_DISABLE) {
 		del_timer_sync(&i8042_timer);
diff -puN drivers/mmc/mmc_block.c~driver-model-more-pm_message_t-conversion drivers/mmc/mmc_block.c
--- 25/drivers/mmc/mmc_block.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.008876656 -0800
+++ 25-akpm/drivers/mmc/mmc_block.c	2005-01-23 01:30:07.072866928 -0800
@@ -437,7 +437,7 @@ static void mmc_blk_remove(struct mmc_ca
 }
 
 #ifdef CONFIG_PM
-static int mmc_blk_suspend(struct mmc_card *card, u32 state)
+static int mmc_blk_suspend(struct mmc_card *card, pm_message_t state)
 {
 	struct mmc_blk_data *md = mmc_get_drvdata(card);
 
diff -puN drivers/mmc/mmc_sysfs.c~driver-model-more-pm_message_t-conversion drivers/mmc/mmc_sysfs.c
--- 25/drivers/mmc/mmc_sysfs.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.009876504 -0800
+++ 25-akpm/drivers/mmc/mmc_sysfs.c	2005-01-23 01:30:07.072866928 -0800
@@ -74,7 +74,7 @@ mmc_bus_hotplug(struct device *dev, char
 	return 0;
 }
 
-static int mmc_bus_suspend(struct device *dev, u32 state)
+static int mmc_bus_suspend(struct device *dev, pm_message_t state)
 {
 	struct mmc_driver *drv = to_mmc_driver(dev->driver);
 	struct mmc_card *card = dev_to_mmc_card(dev);
diff -puN drivers/net/8139too.c~driver-model-more-pm_message_t-conversion drivers/net/8139too.c
--- 25/drivers/net/8139too.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.011876200 -0800
+++ 25-akpm/drivers/net/8139too.c	2005-01-23 01:30:07.074866624 -0800
@@ -2581,7 +2581,7 @@ static void rtl8139_set_rx_mode (struct 
 
 #ifdef CONFIG_PM
 
-static int rtl8139_suspend (struct pci_dev *pdev, u32 state)
+static int rtl8139_suspend (struct pci_dev *pdev, pm_message_t state)
 {
 	struct net_device *dev = pci_get_drvdata (pdev);
 	struct rtl8139_private *tp = dev->priv;
diff -puN drivers/net/amd8111e.c~driver-model-more-pm_message_t-conversion drivers/net/amd8111e.c
--- 25/drivers/net/amd8111e.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.012876048 -0800
+++ 25-akpm/drivers/net/amd8111e.c	2005-01-23 01:30:07.076866320 -0800
@@ -1797,7 +1797,7 @@ static void amd8111e_tx_timeout(struct n
 	if(!err)
 		netif_wake_queue(dev);
 }
-static int amd8111e_suspend(struct pci_dev *pci_dev, u32 state)
+static int amd8111e_suspend(struct pci_dev *pci_dev, pm_message_t state)
 {	
 	struct net_device *dev = pci_get_drvdata(pci_dev);
 	struct amd8111e_priv *lp = netdev_priv(dev);
diff -puN drivers/net/b44.c~driver-model-more-pm_message_t-conversion drivers/net/b44.c
--- 25/drivers/net/b44.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.014875744 -0800
+++ 25-akpm/drivers/net/b44.c	2005-01-23 01:30:07.077866168 -0800
@@ -1903,7 +1903,7 @@ static void __devexit b44_remove_one(str
 	}
 }
 
-static int b44_suspend(struct pci_dev *pdev, u32 state)
+static int b44_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	struct net_device *dev = pci_get_drvdata(pdev);
 	struct b44 *bp = netdev_priv(dev);
diff -puN drivers/net/eepro100.c~driver-model-more-pm_message_t-conversion drivers/net/eepro100.c
--- 25/drivers/net/eepro100.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.016875440 -0800
+++ 25-akpm/drivers/net/eepro100.c	2005-01-23 01:30:07.079865864 -0800
@@ -2281,7 +2281,7 @@ static void set_rx_mode(struct net_devic
 }
 
 #ifdef CONFIG_PM
-static int eepro100_suspend(struct pci_dev *pdev, u32 state)
+static int eepro100_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	struct net_device *dev = pci_get_drvdata (pdev);
 	struct speedo_private *sp = netdev_priv(dev);
@@ -2299,7 +2299,7 @@ static int eepro100_suspend(struct pci_d
 	
 	/* XXX call pci_set_power_state ()? */
 	pci_disable_device(pdev);
-	pci_set_power_state (pdev, 3);
+	pci_set_power_state (pdev, PCI_D3hot);
 	return 0;
 }
 
@@ -2309,7 +2309,7 @@ static int eepro100_resume(struct pci_de
 	struct speedo_private *sp = netdev_priv(dev);
 	void __iomem *ioaddr = sp->regs;
 
-	pci_set_power_state(pdev, 0);
+	pci_set_power_state(pdev, PCI_D0);
 	pci_restore_state(pdev);
 	pci_enable_device(pdev);
 	pci_set_master(pdev);
diff -puN drivers/net/irda/donauboe.c~driver-model-more-pm_message_t-conversion drivers/net/irda/donauboe.c
--- 25/drivers/net/irda/donauboe.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.017875288 -0800
+++ 25-akpm/drivers/net/irda/donauboe.c	2005-01-23 01:30:07.080865712 -0800
@@ -1712,7 +1712,7 @@ freeself:
 }
 
 static int
-toshoboe_gotosleep (struct pci_dev *pci_dev, u32 crap)
+toshoboe_gotosleep (struct pci_dev *pci_dev, pm_message_t crap)
 {
   struct toshoboe_cb *self = (struct toshoboe_cb*)pci_get_drvdata(pci_dev);
   unsigned long flags;
diff -puN drivers/net/tg3.c~driver-model-more-pm_message_t-conversion drivers/net/tg3.c
--- 25/drivers/net/tg3.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.020874832 -0800
+++ 25-akpm/drivers/net/tg3.c	2005-01-23 01:30:07.086864800 -0800
@@ -8448,7 +8448,7 @@ static void __devexit tg3_remove_one(str
 	}
 }
 
-static int tg3_suspend(struct pci_dev *pdev, u32 state)
+static int tg3_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	struct net_device *dev = pci_get_drvdata(pdev);
 	struct tg3 *tp = netdev_priv(dev);
diff -puN drivers/net/tulip/tulip_core.c~driver-model-more-pm_message_t-conversion drivers/net/tulip/tulip_core.c
--- 25/drivers/net/tulip/tulip_core.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.021874680 -0800
+++ 25-akpm/drivers/net/tulip/tulip_core.c	2005-01-23 01:30:07.088864496 -0800
@@ -1749,7 +1749,7 @@ err_out_free_netdev:
 
 #ifdef CONFIG_PM
 
-static int tulip_suspend (struct pci_dev *pdev, u32 state)
+static int tulip_suspend (struct pci_dev *pdev, pm_message_t state)
 {
 	struct net_device *dev = pci_get_drvdata(pdev);
 
diff -puN drivers/net/via-rhine.c~driver-model-more-pm_message_t-conversion drivers/net/via-rhine.c
--- 25/drivers/net/via-rhine.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.023874376 -0800
+++ 25-akpm/drivers/net/via-rhine.c	2005-01-23 01:30:07.090864192 -0800
@@ -1937,7 +1937,7 @@ static void rhine_shutdown (struct devic
 }
 
 #ifdef CONFIG_PM
-static int rhine_suspend(struct pci_dev *pdev, u32 state)
+static int rhine_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	struct net_device *dev = pci_get_drvdata(pdev);
 	struct rhine_private *rp = netdev_priv(dev);
diff -puN drivers/pci/pci.c~driver-model-more-pm_message_t-conversion drivers/pci/pci.c
--- 25/drivers/pci/pci.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.024874224 -0800
+++ 25-akpm/drivers/pci/pci.c	2005-01-23 01:30:07.091864040 -0800
@@ -318,7 +318,7 @@ pci_set_power_state(struct pci_dev *dev,
  * message.
  */
 
-pci_power_t pci_choose_state(struct pci_dev *dev, u32 state)
+pci_power_t pci_choose_state(struct pci_dev *dev, pm_message_t state)
 {
 	if (!pci_find_capability(dev, PCI_CAP_ID_PM))
 		return PCI_D0;
diff -puN drivers/pcmcia/cs.c~driver-model-more-pm_message_t-conversion drivers/pcmcia/cs.c
--- 25/drivers/pcmcia/cs.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.026873920 -0800
+++ 25-akpm/drivers/pcmcia/cs.c	2005-01-23 01:30:07.092863888 -0800
@@ -140,7 +140,7 @@ static u8 pcmcia_used_irq[NR_IRQS];
 static int socket_resume(struct pcmcia_socket *skt);
 static int socket_suspend(struct pcmcia_socket *skt);
 
-int pcmcia_socket_dev_suspend(struct device *dev, u32 state)
+int pcmcia_socket_dev_suspend(struct device *dev, pm_message_t state)
 {
 	struct pcmcia_socket *socket;
 
diff -puN drivers/pcmcia/i82092.c~driver-model-more-pm_message_t-conversion drivers/pcmcia/i82092.c
--- 25/drivers/pcmcia/i82092.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.028873616 -0800
+++ 25-akpm/drivers/pcmcia/i82092.c	2005-01-23 01:30:07.093863736 -0800
@@ -42,7 +42,7 @@ static struct pci_device_id i82092aa_pci
 };
 MODULE_DEVICE_TABLE(pci, i82092aa_pci_ids);
 
-static int i82092aa_socket_suspend (struct pci_dev *dev, u32 state)
+static int i82092aa_socket_suspend (struct pci_dev *dev, pm_message_t state)
 {
 	return pcmcia_socket_dev_suspend(&dev->dev, state);
 }
diff -puN drivers/pcmcia/i82365.c~driver-model-more-pm_message_t-conversion drivers/pcmcia/i82365.c
--- 25/drivers/pcmcia/i82365.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.030873312 -0800
+++ 25-akpm/drivers/pcmcia/i82365.c	2005-01-23 01:30:07.094863584 -0800
@@ -1338,7 +1338,7 @@ static struct pccard_operations pcic_ope
 
 /*====================================================================*/
 
-static int i82365_suspend(struct device *dev, u32 state, u32 level)
+static int i82365_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int ret = 0;
 	if (level == SUSPEND_SAVE_STATE)
diff -puN drivers/pcmcia/tcic.c~driver-model-more-pm_message_t-conversion drivers/pcmcia/tcic.c
--- 25/drivers/pcmcia/tcic.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.031873160 -0800
+++ 25-akpm/drivers/pcmcia/tcic.c	2005-01-23 01:30:07.095863432 -0800
@@ -369,7 +369,7 @@ static int __init get_tcic_id(void)
 
 /*====================================================================*/
 
-static int tcic_drv_suspend(struct device *dev, u32 state, u32 level)
+static int tcic_drv_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int ret = 0;
 	if (level == SUSPEND_SAVE_STATE)
diff -puN drivers/pcmcia/yenta_socket.c~driver-model-more-pm_message_t-conversion drivers/pcmcia/yenta_socket.c
--- 25/drivers/pcmcia/yenta_socket.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.032873008 -0800
+++ 25-akpm/drivers/pcmcia/yenta_socket.c	2005-01-23 01:30:07.096863280 -0800
@@ -1019,7 +1019,7 @@ static int __devinit yenta_probe (struct
 }
 
 
-static int yenta_dev_suspend (struct pci_dev *dev, u32 state)
+static int yenta_dev_suspend (struct pci_dev *dev, pm_message_t state)
 {
 	struct yenta_socket *socket = pci_get_drvdata(dev);
 	int ret;
diff -puN drivers/serial/8250.c~driver-model-more-pm_message_t-conversion drivers/serial/8250.c
--- 25/drivers/serial/8250.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.034872704 -0800
+++ 25-akpm/drivers/serial/8250.c	2005-01-23 01:30:07.098862976 -0800
@@ -2255,7 +2255,7 @@ static int __devexit serial8250_remove(s
 	return 0;
 }
 
-static int serial8250_suspend(struct device *dev, u32 state, u32 level)
+static int serial8250_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int i;
 
diff -puN drivers/serial/8250_pci.c~driver-model-more-pm_message_t-conversion drivers/serial/8250_pci.c
--- 25/drivers/serial/8250_pci.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.036872400 -0800
+++ 25-akpm/drivers/serial/8250_pci.c	2005-01-23 01:30:07.099862824 -0800
@@ -1759,7 +1759,7 @@ static void __devexit pciserial_remove_o
 	}
 }
 
-static int pciserial_suspend_one(struct pci_dev *dev, u32 state)
+static int pciserial_suspend_one(struct pci_dev *dev, pm_message_t state)
 {
 	struct serial_private *priv = pci_get_drvdata(dev);
 
diff -puN drivers/usb/core/hcd.h~driver-model-more-pm_message_t-conversion drivers/usb/core/hcd.h
--- 25/drivers/usb/core/hcd.h~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.037872248 -0800
+++ 25-akpm/drivers/usb/core/hcd.h	2005-01-23 01:30:07.100862672 -0800
@@ -223,7 +223,7 @@ extern int usb_hcd_pci_probe (struct pci
 extern void usb_hcd_pci_remove (struct pci_dev *dev);
 
 #ifdef CONFIG_PM
-extern int usb_hcd_pci_suspend (struct pci_dev *dev, u32 state);
+extern int usb_hcd_pci_suspend (struct pci_dev *dev, pm_message_t state);
 extern int usb_hcd_pci_resume (struct pci_dev *dev);
 #endif /* CONFIG_PM */
 
diff -puN drivers/usb/core/hub.c~driver-model-more-pm_message_t-conversion drivers/usb/core/hub.c
--- 25/drivers/usb/core/hub.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.039871944 -0800
+++ 25-akpm/drivers/usb/core/hub.c	2005-01-23 01:30:07.102862368 -0800
@@ -1636,7 +1636,7 @@ int __usb_suspend_device (struct usb_dev
  *
  * Returns 0 on success, else negative errno.
  */
-int usb_suspend_device(struct usb_device *udev, u32 state)
+int usb_suspend_device(struct usb_device *udev, pm_message_t state)
 {
 	int	port1, status;
 
@@ -1951,7 +1951,7 @@ static int hub_resume(struct usb_interfa
 
 #else	/* !CONFIG_USB_SUSPEND */
 
-int usb_suspend_device(struct usb_device *udev, u32 state)
+int usb_suspend_device(struct usb_device *udev, pm_message_t state)
 {
 	return 0;
 }
diff -puN drivers/usb/core/usb.c~driver-model-more-pm_message_t-conversion drivers/usb/core/usb.c
--- 25/drivers/usb/core/usb.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.040871792 -0800
+++ 25-akpm/drivers/usb/core/usb.c	2005-01-23 01:30:07.103862216 -0800
@@ -1348,7 +1348,7 @@ void usb_buffer_unmap_sg (struct usb_dev
 			usb_pipein (pipe) ? DMA_FROM_DEVICE : DMA_TO_DEVICE);
 }
 
-static int usb_generic_suspend(struct device *dev, u32 state)
+static int usb_generic_suspend(struct device *dev, pm_message_t state)
 {
 	struct usb_interface *intf;
 	struct usb_driver *driver;
diff -puN drivers/usb/input/hid-core.c~driver-model-more-pm_message_t-conversion drivers/usb/input/hid-core.c
--- 25/drivers/usb/input/hid-core.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.042871488 -0800
+++ 25-akpm/drivers/usb/input/hid-core.c	2005-01-23 01:30:07.105861912 -0800
@@ -1850,7 +1850,7 @@ static int hid_probe (struct usb_interfa
 	return 0;
 }
 
-static int hid_suspend(struct usb_interface *intf, u32 state)
+static int hid_suspend(struct usb_interface *intf, pm_message_t state)
 {
 	struct hid_device *hid = usb_get_intfdata (intf);
 
@@ -1865,7 +1865,7 @@ static int hid_resume(struct usb_interfa
 	struct hid_device *hid = usb_get_intfdata (intf);
 	int status;
 
-	intf->dev.power.power_state = PM_SUSPEND_ON;
+	intf->dev.power.power_state = PMSG_ON;
 	if (hid->open)
 		status = usb_submit_urb(hid->urbin, GFP_NOIO);
 	else
diff -puN drivers/video/aty/radeonfb.h~driver-model-more-pm_message_t-conversion drivers/video/aty/radeonfb.h
--- 25/drivers/video/aty/radeonfb.h~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.043871336 -0800
+++ 25-akpm/drivers/video/aty/radeonfb.h	2005-01-23 01:30:07.106861760 -0800
@@ -526,7 +526,7 @@ extern int radeon_probe_i2c_connector(st
 /* PM Functions */
 extern void radeon_pm_disable_dynamic_mode(struct radeonfb_info *rinfo);
 extern void radeon_pm_enable_dynamic_mode(struct radeonfb_info *rinfo);
-extern int radeonfb_pci_suspend(struct pci_dev *pdev, u32 state);
+extern int radeonfb_pci_suspend(struct pci_dev *pdev, pm_message_t state);
 extern int radeonfb_pci_resume(struct pci_dev *pdev);
 
 /* Monitor probe functions */
diff -puN drivers/video/aty/radeon_pm.c~driver-model-more-pm_message_t-conversion drivers/video/aty/radeon_pm.c
--- 25/drivers/video/aty/radeon_pm.c~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.044871184 -0800
+++ 25-akpm/drivers/video/aty/radeon_pm.c	2005-01-23 01:30:07.106861760 -0800
@@ -13,12 +13,12 @@
  * On PowerMac, we assume any mobility chip based machine does D2
  */
 #ifdef CONFIG_PPC_PMAC
-static inline int radeon_suspend_to_d2(struct radeonfb_info *rinfo, u32 state)
+static inline int radeon_suspend_to_d2(struct radeonfb_info *rinfo, pm_message_t state)
 {
 	return rinfo->is_mobility;
 }
 #else
-static inline int radeon_suspend_to_d2(struct radeonfb_info *rinfo, u32 state)
+static inline int radeon_suspend_to_d2(struct radeonfb_info *rinfo, pm_message_t state)
 {
 	return 0;
 }
@@ -850,7 +850,7 @@ static void radeon_set_suspend(struct ra
 	}
 }
 
-int radeonfb_pci_suspend(struct pci_dev *pdev, u32 state)
+int radeonfb_pci_suspend(struct pci_dev *pdev, pm_message_t state)
 {
         struct fb_info *info = pci_get_drvdata(pdev);
         struct radeonfb_info *rinfo = info->par;
@@ -935,7 +935,7 @@ int radeonfb_pci_resume(struct pci_dev *
 
 	release_console_sem();
 
-	pdev->dev.power.power_state = 0;
+	pdev->dev.power.power_state = PMSG_ON;
 
 	printk(KERN_DEBUG "radeonfb: resumed !\n");
 
diff -puN include/linux/device.h~driver-model-more-pm_message_t-conversion include/linux/device.h
--- 25/include/linux/device.h~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.046870880 -0800
+++ 25-akpm/include/linux/device.h	2005-01-23 01:30:07.107861608 -0800
@@ -111,7 +111,7 @@ struct device_driver {
 	int	(*probe)	(struct device * dev);
 	int 	(*remove)	(struct device * dev);
 	void	(*shutdown)	(struct device * dev);
-	int	(*suspend)	(struct device * dev, u32 state, u32 level);
+	int	(*suspend)	(struct device * dev, pm_message_t state, u32 level);
 	int	(*resume)	(struct device * dev, u32 level);
 };
 
diff -puN include/linux/mmc/card.h~driver-model-more-pm_message_t-conversion include/linux/mmc/card.h
--- 25/include/linux/mmc/card.h~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.053869816 -0800
+++ 25-akpm/include/linux/mmc/card.h	2005-01-23 01:30:07.107861608 -0800
@@ -75,7 +75,7 @@ struct mmc_driver {
 	struct device_driver drv;
 	int (*probe)(struct mmc_card *);
 	void (*remove)(struct mmc_card *);
-	int (*suspend)(struct mmc_card *, u32);
+	int (*suspend)(struct mmc_card *, pm_message_t);
 	int (*resume)(struct mmc_card *);
 };
 
diff -puN include/linux/usb.h~driver-model-more-pm_message_t-conversion include/linux/usb.h
--- 25/include/linux/usb.h~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.060868752 -0800
+++ 25-akpm/include/linux/usb.h	2005-01-23 01:30:07.108861456 -0800
@@ -547,7 +547,7 @@ struct usb_driver {
 
 	int (*ioctl) (struct usb_interface *intf, unsigned int code, void *buf);
 
-	int (*suspend) (struct usb_interface *intf, u32 state);
+	int (*suspend) (struct usb_interface *intf, pm_message_t state);
 	int (*resume) (struct usb_interface *intf);
 
 	const struct usb_device_id *id_table;
@@ -966,7 +966,7 @@ extern int usb_bulk_msg(struct usb_devic
 	int timeout);
 
 /* selective suspend/resume */
-extern int usb_suspend_device(struct usb_device *dev, u32 state);
+extern int usb_suspend_device(struct usb_device *dev, pm_message_t state);
 extern int usb_resume_device(struct usb_device *dev);
 
 
diff -puN include/pcmcia/ss.h~driver-model-more-pm_message_t-conversion include/pcmcia/ss.h
--- 25/include/pcmcia/ss.h~driver-model-more-pm_message_t-conversion	2005-01-23 01:30:07.062868448 -0800
+++ 25-akpm/include/pcmcia/ss.h	2005-01-23 01:30:07.109861304 -0800
@@ -250,7 +250,7 @@ extern void pcmcia_unregister_socket(str
 extern struct class pcmcia_socket_class;
 
 /* socket drivers are expected to use these callbacks in their .drv struct */
-extern int pcmcia_socket_dev_suspend(struct device *dev, u32 state);
+extern int pcmcia_socket_dev_suspend(struct device *dev, pm_message_t state);
 extern int pcmcia_socket_dev_resume(struct device *dev);
 
 #endif /* _LINUX_SS_H */
_
